com.fasterxml.jackson.dataformat.avro.deser

## Class AvroParserImpl

- java.lang.Object
- - com.fasterxml.jackson.core.JsonParser
  - - com.fasterxml.jackson.core.base.ParserMinimalBase
    - - com.fasterxml.jackson.core.base.ParserBase
      - - com.fasterxml.jackson.dataformat.avro.AvroParser
        - - com.fasterxml.jackson.dataformat.avro.deser.AvroParserImpl

- All Implemented Interfaces:
    com.fasterxml.jackson.core.Versioned, Closeable, AutoCloseable

      public class AvroParserImpl
      extends AvroParser

  Implementation class that exposes additional internal API to be used as callbacks by `AvroReadContext` implementations.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.dataformat.avro.AvroParser

      `AvroParser.Feature`

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.core.JsonParser

      `com.fasterxml.jackson.core.JsonParser.NumberType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ByteBuffer` | `_byteBuffer`
    `protected org.apache.avro.io.BinaryDecoder` | `_decoder`
    `protected static byte[]` | `NO_BYTES`

    - ### Fields inherited from class com.fasterxml.jackson.dataformat.avro.AvroParser

      `_avroContext, _formatFeatures, _input, _objectCodec, _rootSchema, _textValue`

    - ### Fields inherited from class com.fasterxml.jackson.core.base.ParserBase

      `_binaryValue, _byteArrayBuilder, _closed, _currInputProcessed, _currInputRow, _currInputRowStart, _expLength, _fractLength, _inputEnd, _inputPtr, _intLength, _ioContext, _nameCopied, _nameCopyBuffer, _nextToken, _numberBigDecimal, _numberBigInt, _numberDouble, _numberInt, _numberLong, _numberNegative, _numTypesValid, _parsingContext, _textBuffer, _tokenInputCol, _tokenInputRow, _tokenInputTotal, CHAR_NULL, INT_0, INT_9, INT_MINUS, INT_PLUS, NR_BIGDECIMAL, NR_BIGINT, NR_DOUBLE, NR_INT, NR_LONG, NR_UNKNOWN`

    - ### Fields inherited from class com.fasterxml.jackson.core.base.ParserMinimalBase

      `_currToken, _lastClearedToken, INT_BACKSLASH, INT_COLON, INT_COMMA, INT_CR, INT_e, INT_E, INT_HASH, INT_LBRACKET, INT_LCURLY, INT_LF, INT_PERIOD, INT_QUOTE, INT_RBRACKET, INT_RCURLY, INT_SLASH, INT_SPACE, INT_TAB`

    - ### Fields inherited from class com.fasterxml.jackson.core.JsonParser

      `_features, _requestPayload`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AvroParserImpl(com.fasterxml.jackson.core.io.IOContext ctxt, int parserFeatures, int avroFeatures, com.fasterxml.jackson.core.ObjectCodec codec, byte[] data, int offset, int len)`
    `AvroParserImpl(com.fasterxml.jackson.core.io.IOContext ctxt, int parserFeatures, int avroFeatures, com.fasterxml.jackson.core.ObjectCodec codec, InputStream in)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `_initSchema(AvroSchema schema)`
    `protected ByteBuffer` | `borrowByteBuffer()`
    `String` | `nextFieldName()`
    `boolean` | `nextFieldName(com.fasterxml.jackson.core.SerializableString sstr)`
    `String` | `nextTextValue()`
    `com.fasterxml.jackson.core.JsonToken` | `nextToken()`
    `com.fasterxml.jackson.core.JsonParser` | `overrideFormatFeatures(int values, int mask)`
    `protected void` | `setAvroContext(AvroReadContext ctxt)`
    `protected com.fasterxml.jackson.core.JsonToken` | `setBytes(byte[] b)`
    `protected com.fasterxml.jackson.core.JsonToken` | `setBytes(ByteBuffer bb)`
    `protected com.fasterxml.jackson.core.JsonToken` | `setNumber(double v)`
    `protected com.fasterxml.jackson.core.JsonToken` | `setNumber(float v)`
    `protected com.fasterxml.jackson.core.JsonToken` | `setNumber(int v)`
    `protected com.fasterxml.jackson.core.JsonToken` | `setNumber(long v)`
    `protected com.fasterxml.jackson.core.JsonToken` | `setString(String str)`

    - ### Methods inherited from class com.fasterxml.jackson.dataformat.avro.AvroParser

      `_closeInput, _finishString, canUseSchema, configure, disable, enable, getBinaryValue, getCodec, getCurrentLocation, getCurrentName, getEmbeddedObject, getInputSource, getSchema, getText, getText, getTextCharacters, getTextLength, getTextOffset, getTokenLocation, hasTextCharacters, isEnabled, overrideCurrentName, setCodec, setSchema, version`

    - ### Methods inherited from class com.fasterxml.jackson.core.base.ParserBase

      `_checkStdFeatureChanges, _decodeBase64Escape, _decodeBase64Escape, _decodeEscaped, _eofAsNextChar, _getByteArrayBuilder, _handleEOF, _parseIntValue, _parseNumericValue, _releaseBuffers, _reportMismatchedEndMarker, close, convertNumberToBigDecimal, convertNumberToBigInteger, convertNumberToDouble, convertNumberToInt, convertNumberToLong, disable, enable, getBigIntegerValue, getCurrentValue, getDecimalValue, getDoubleValue, getFloatValue, getIntValue, getLongValue, getNumberType, getNumberValue, getParsingContext, getTokenCharacterOffset, getTokenColumnNr, getTokenLineNr, isClosed, loadMore, loadMoreGuaranteed, overrideStdFeatures, reportInvalidBase64Char, reportInvalidBase64Char, reportInvalidNumber, reportOverflowInt, reportOverflowLong, reportUnexpectedNumberChar, reset, resetAsNaN, resetFloat, resetInt, setCurrentValue, setFeatureMask`

    - ### Methods inherited from class com.fasterxml.jackson.core.base.ParserMinimalBase

      `_ascii, _asciiBytes, _constructError, _decodeBase64, _getCharDesc, _handleUnrecognizedCharacterEscape, _hasTextualNull, _reportError, _reportInvalidEOF, _reportInvalidEOF, _reportInvalidEOF, _reportInvalidEOFInValue, _reportInvalidEOFInValue, _reportMissingRootWS, _reportUnexpectedChar, _throwInternal, _throwInvalidSpace, _throwUnquotedSpace, _wrapError, clearCurrentToken, currentToken, currentTokenId, getCurrentToken, getCurrentTokenId, getLastClearedToken, getValueAsBoolean, getValueAsDouble, getValueAsInt, getValueAsInt, getValueAsLong, getValueAsLong, getValueAsString, getValueAsString, hasCurrentToken, hasToken, hasTokenId, isExpectedStartArrayToken, isExpectedStartObjectToken, nextValue, skipChildren`

    - ### Methods inherited from class com.fasterxml.jackson.core.JsonParser

      `_codec, _constructError, _reportUnsupportedOperation, canReadObjectId, canReadTypeId, configure, finishToken, getBinaryValue, getBooleanValue, getByteValue, getFeatureMask, getFormatFeatures, getObjectId, getShortValue, getTypeId, getValueAsBoolean, getValueAsDouble, isEnabled, nextBooleanValue, nextIntValue, nextLongValue, readBinaryValue, readBinaryValue, readValueAs, readValueAs, readValueAsTree, readValuesAs, readValuesAs, releaseBuffered, releaseBuffered, requiresCustomCodec, setRequestPayloadOnError, setRequestPayloadOnError, setRequestPayloadOnError`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NO_BYTES

          protected static final byte[] NO_BYTES

    - #### _decoder

          protected final org.apache.avro.io.BinaryDecoder _decoder

    - #### _byteBuffer

          protected ByteBuffer _byteBuffer

  - ### Constructor Detail

    - #### AvroParserImpl

          public AvroParserImpl(com.fasterxml.jackson.core.io.IOContext ctxt,
                        int parserFeatures,
                        int avroFeatures,
                        com.fasterxml.jackson.core.ObjectCodec codec,
                        InputStream in)

    - #### AvroParserImpl

          public AvroParserImpl(com.fasterxml.jackson.core.io.IOContext ctxt,
                        int parserFeatures,
                        int avroFeatures,
                        com.fasterxml.jackson.core.ObjectCodec codec,
                        byte[] data,
                        int offset,
                        int len)

  - ### Method Detail

    - #### overrideFormatFeatures

          public com.fasterxml.jackson.core.JsonParser overrideFormatFeatures(int values,
                                                                     int mask)

      Specified by:
        `overrideFormatFeatures` in class `AvroParser`

    - #### nextToken

          public com.fasterxml.jackson.core.JsonToken nextToken()
                                                         throws IOException

      Specified by:
        `nextToken` in class `AvroParser`
      Throws:
        `IOException`

    - #### nextFieldName

          public String nextFieldName()
                               throws IOException

      Overrides:
        `nextFieldName` in class `com.fasterxml.jackson.core.JsonParser`
      Throws:
        `IOException`

    - #### nextFieldName

          public boolean nextFieldName(com.fasterxml.jackson.core.SerializableString sstr)
                                throws IOException

      Overrides:
        `nextFieldName` in class `com.fasterxml.jackson.core.JsonParser`
      Throws:
        `IOException`

    - #### nextTextValue

          public String nextTextValue()
                               throws IOException

      Overrides:
        `nextTextValue` in class `com.fasterxml.jackson.core.JsonParser`
      Throws:
        `IOException`

    - #### _initSchema

          protected void _initSchema(AvroSchema schema)

      Specified by:
        `_initSchema` in class `AvroParser`

    - #### setAvroContext

          protected void setAvroContext(AvroReadContext ctxt)

    - #### borrowByteBuffer

          protected ByteBuffer borrowByteBuffer()

    - #### setBytes

          protected com.fasterxml.jackson.core.JsonToken setBytes(ByteBuffer bb)

    - #### setBytes

          protected com.fasterxml.jackson.core.JsonToken setBytes(byte[] b)

    - #### setNumber

          protected com.fasterxml.jackson.core.JsonToken setNumber(int v)

    - #### setNumber

          protected com.fasterxml.jackson.core.JsonToken setNumber(long v)

    - #### setNumber

          protected com.fasterxml.jackson.core.JsonToken setNumber(float v)

    - #### setNumber

          protected com.fasterxml.jackson.core.JsonToken setNumber(double v)

    - #### setString

          protected com.fasterxml.jackson.core.JsonToken setString(String str)

Copyright © 2016 FasterXML. All rights reserved.